datablock AudioProfile(RedRupeeGetSound)
{
   filename = "./OOT_Get_Red.wav";
   description = AudioClosest3d;
   preload = false;
};

datablock AudioProfile(BlueRupeeGetSound)
{
   filename = "./OOT_Get_Blue.wav";
   description = AudioClosest3d;
   preload = false;
};

datablock AudioProfile(GreenRupeeGetSound)
{
   filename = "./OOT_Get_Green.wav";
   description = AudioClosest3d;
   preload = false;
};

datablock itemData(RedRupeeItem : printGun)
{
   image = "";
   mass = 0.1;
   density = 0.1;
   elasticity = 0.2;
   friction = 1.5;
   uiName = "Red Rupee";
   shapeFile = "./rupeeRed.dts";
   doColorShift = false;
   colorShiftColor = "1 1 0 1.000";
};

function RedRupeeItem::onAdd(%this, %obj)
{
   %obj.rotate = 1;
}

function RedRupeeItem::onPickup(%this, %obj, %col)
{
   pickupRedRupee(%this, %obj, %col);
}

function pickupRedRupee(%this, %obj, %col)
{
	serverPlay3D(redRupeeGetSound,%obj.getPosition());
	%obj.delete();
			
		%oldRup = %col.client.rupees;
		%col.client.rupees = (%oldRup + 20);
		%col.client.bottomPrint("<color:FFFF00>You now have<color:FFFFFF>" SPC %col.client.rupees SPC "<color:FFFF00>rupees", 3);
		
}