registerInputEvent(fxDTSBrick, "onRupeePaymentAccept", "Self fxDTSBrick\tPlayer Player\tClient GameConnection\tMiniGame MiniGame",1);
registerInputEvent(fxDTSBrick, "onRupeePaymentDecline", "Self fxDTSBrick\tPlayer Player\tClient GameConnection\tMiniGame MiniGame",1);
registerOutputEvent(fxDTSbrick,"RupeeRequest","string 200 96\tint 1 10000 1",1);

function fxDTSbrick::RupeeRequest(%brick,%reason,%amount,%client)
{
		%client.RupeeTransferBrick = %brick;
		%client.RupeeTransferAmount = %amount;
		%client.RupeeTransferReason = %reason;
		commandtoClient(%client,'bottomprint',"<color:FFFF00>Requesting<color:FFFFFF>" SPC %amount SPC "<color:FFFF00>rupees for a" SPC %reason SPC " /yes or /no", 3);
}

function servercmdno(%client)
{
	if(isObject(%client.RupeeTransferBrick))
	{
		%client.RupeeTransferBrick.onRupeePaymentDecline(%client);
		%client.RupeeTransferBrick = "";
		%client.RupeeTransferAmount = "";
		%client.RupeeTransferReason = "";
	}
}

function servercmdyes(%client, %amount, %reason)
{
	if(isObject(%client.RupeeTransferBrick))
	{
		if(%client.rupees >= %client.RupeeTransferAmount)
		{
			%client.RupeeTransferBrick.onRupeePaymentAccept(%client);
			%oldRup = %client.rupees;
			%client.rupees = (%oldRup - %client.RupeeTransferAmount);
			commandtoClient(%client, 'bottomprint', "<color:FFFF00>You now have<color:FFFFFF>" SPC %client.rupees SPC "<color:FFFF00>rupees", 3);
			%client.RupeeTransferBrick = "";
			%client.RupeeTransferAmount = "";
			%client.RupeeTransferReason = "";
		}
		else
		{
			commandtoClient(%client,'bottomprint',"<color:FFFF00>Insufficient rupees for this<color:FFFFFF>" SPC %client.RupeeTransferReason SPC "<color:FFFF00>, sorry", 3);
			%client.RupeeTransferBrick = "";
			%client.RupeeTransferAmount = "";
			%client.RupeeTransferReason = "";
		}
	}
}

function fxDTSBrick::onRupeePaymentAccept(%this, %client)
{
	$inputTarget_self = %this;
	$inputTarget_client = %client;
	$inputTarget_player = %client.player;
	$inputTarget_miniGame = getMiniGameFromObject(%this);
	%this.processInputEvent("onRupeePaymentAccept", %client);
}

function fxDTSBrick::onRupeePaymentDecline(%this, %client)
{
	$inputTarget_self = %this;
	$inputTarget_client = %client;
	$inputTarget_player = %client.player;
	$inputTarget_miniGame = getMiniGameFromObject(%this);
	%this.processInputEvent("onRupeePaymentDecline", %client);
}