LoadRequiredAddOn("Script_Player_Persistence");

if(isFunction(RegisterPersistenceVar))
{
  RegisterPersistenceVar("rupees", false, "");
}

registerOutputEvent(GameConnection, "addRupees","int 1 10000 25");

function GameConnection::addRupees(%client, %amount)
{
	%oldRup = %client.rupees;
	%client.rupees = (%oldRup + %amount);
	commandToClient(%client, 'bottomprint', "<color:FFFF00>You now have<color:FFFFFF>" SPC %client.rupees SPC "<color:FFFF00>rupees", 3);
		
}

registerOutputEvent(GameConnection, "subtractRupees","int 1 10000 25");

function GameConnection::subtractRupees(%client, %amount)
{
	if(%client.rupees >= %amount)
	{		
		%oldRup = %client.rupees;
		%client.rupees = (%oldRup - %amount);
		commandToClient(%client, 'bottomprint', "<color:FFFF00>You now have<color:FFFFFF>" SPC %client.rupees SPC "<color:FFFF00>rupees", 3);
	}
	else
	{
		commandToClient(%client, 'bottomprint', "<color:FFFF00>You do not have enough rupees to do this!", 3);
	}
}

registerOutputEvent(GameConnection, "setRupees","int 1 10000 25");

function GameConnection::setRupees(%client, %amount)
{
	%client.rupees = %amount;
	commandToClient(%client, 'bottomprint', "<color:FFFF00>You now have<color:FFFFFF>" SPC %client.rupees SPC "<color:FFFF00>rupees", 3);
}

registerOutputEvent(GameConnection, "checkRupees");

function GameConnection::checkRupees(%client, %amount)
{
	commandToClient(%client, 'bottomprint', "<color:FFFF00>You now have<color:FFFFFF>" SPC %client.rupees SPC "<color:FFFF00>rupees", 3);
}

