//			GOLD
//		GOLD GOLD GO
//	GOLD GOL   	GOLD GOLD
//GOLD GOLD       GOLD GOLD
//GOLD GOLD		  GOLD GOLD
//GOLD GOLD		  GOLD GOLD
//GOLD GOLD		  GOLD GOLD	
//GOLD GOLD		  GOLD GOLD
//GOLD GOLD		  GOLD GOLD
//GOLD GOLD		  GOLD GOLD
//GOLD GOLD		  GOLD GOLD
//	GOLD GOL   	GOLD GOLD
//		GOLD GOLD GO
//			GOLD

datablock ParticleData(GoldRupeeParticle)
{
  dragCoefficient = 4;
  gravityCoefficient = -1;
  inheritedVelFactor = 0;
  constantAcceleration = 0;
  lifetimeMS = 500;
  lifetimeVarianceMS = 250;
  textureName = "base/lighting/flare";
  spinSpeed = 0;
  spinRandomMin = 0;
  spinRandomMax = 0;
  colors[0] = "1 1 0 1";
  colors[1] = "1 1 0.5 1";
  colors[2] = "1 1 0 1";
  colors[3] = "1 1 0 0";
  sizes[0] = 0;
  sizes[1] = 2;
  sizes[2] = 0.5;
  sizes[3] = 0.5;
  times[0] = 0;
  times[1] = 0.1;
  times[2] = 0.2;
  times[3] = 1;
  useInvAlpha = false;
};

datablock ParticleEmitterData(GoldRupeeEmitter)
{
  uiName = "";
  ejectionPeriodMS = 25;
  periodVarianceMS = 20;
  ejectionVelocity = 0;
  ejectionOffset = 0.5;
  thetaMin = 0;
  thetaMax = 180;
  phiReferenceVel = 0;
  phiVariance = 360;
  overrideAdvance = false;
  particles = "GoldRupeeParticle";
};

datablock ShapeBaseImageData(GoldRupeeImage)
{
  shapeFile = "base/data/shapes/empty.dts";
  emap = false;

  stateName[0] = "Fire";
  stateTransitionOnTimeout[0] = "Fire";
  stateWaitForTimeout[0] = true;
  stateTimeoutValue[0] = 1000;
  stateEmitter[0] = GoldRupeeEmitter;
  stateEmitterTime[0] = 1000;
};

datablock AudioProfile(GoldRupeeGetSound)
{
   filename = "./OOT_Get_GOLDAHEAHEAHEU.wav";
   description = AudioClosest3d;
   preload = false;
};


datablock itemData(GoldRupeeItem : printGun)
{
   image = "";
   mass = 0.1;
   density = 0.1;
   elasticity = 0.2;
   friction = 1.5;
   uiName = "Gold Rupee";
   //shapeFile = "./rupeeGold.dts";
   shapeFile = "./rupeeGoldFL.dts";
   doColorShift = false;
   colorShiftColor = "1 1 0 1.000";
};

function GoldRupeeItem::onAdd(%this, %obj)
{
   %obj.rotate = 1;
   %obj.mountImage(GoldRupeeImage,0);
}

function GoldRupeeItem::onPickup(%this, %obj, %col)
{
   pickupGoldRupee(%this, %obj, %col);
}

function pickupGoldRupee(%this, %obj, %col)
{
	serverPlay3D(GoldRupeeGetSound,%obj.getPosition());
	%obj.delete();
			
		%oldRup = %col.client.rupees;
		%col.client.rupees = (%oldRup + 300);
		%col.client.bottomPrint("<color:FFFF00>You now have<color:FFFFFF>" SPC %col.client.rupees SPC "<color:FFFF00>rupees", 3);
		
}